﻿body {
    background-image: url("backgroundm.jpg");
    background-color: #E8E1DB;
    background-size: auto 600px;
    background-repeat: no-repeat;
    margin: 0;
    padding-top: 0;
}

a {
    text-decoration: none;
}

/*Header*/
.headerm {
    background-color: #fff;
    position: relative;
    margin-top: 0;
    margin-left: auto;
    margin-right: auto;
    padding-top: 0;
    height: 20%;
    width: 100%;
}

.wappen {
    position: absolute;
    top: 20%;
    left: 0;
    padding-left: 6%;
    height: 60%;
    width: auto;
}

.mbutton {
    position: absolute;
    top: 32%;
    right: 0;
    padding-right: 7%;
    float: right;
    height: 42%;
    display: block;
}

/*Navigation*/
.sidenav {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    right: 0;
    background-color: #5D5955;
    overflow-x: hidden;
    transition: 0.5s;
}

    .sidenav a {
        font-family: 'Source Sans Pro';
        font-weight: 200;
        text-decoration: none;
        font-size: 5.2vh;
        color: white;
        display: block;
        transition: 0.3s;
    }

.close {
    position: relative;
    float: right;
    width: 100%;
    height: 20%;
}

.innerclose {
    position: absolute;
    float: right;
    right: 0;
    padding-right: 7%;
    top: 32%;
    height: 42%;
}

.menu {
    position: relative;
    float: right;
    width: 100%;
    height: 80%;
}


.pages {
    position: relative;
    width: 100%;
    height: 14%;
}

    .pages p {
        margin: 0;
        position: absolute;
        top: 50%;
        left: 10%;
        transform: translate(0%, -50%);
    }

.pages:hover {
    background-color: #E8E1DB;
}

.current {
    background-color: #E8E1DB;
}

/*Feater*/

.feater {
    width: 100%;
    height: 200px;
    background-color: #5D5955;
}
.innerfeater {
    width: 80%;
    margin:auto;
}


/*Content divs*/
.content {
    margin: auto;
    background-color: white;
}

.start {
    margin-top: 60%;
    padding: 2% 7% 10% 7%;
    width: 74%;
    text-align: center;
}

.demos {
    margin-top: 10%;
    padding: 0% 0% 10% 0%;
    width: 88%;
    text-align: center;
}

.innerdemos {
    padding: 0% 7% 0% 7%;
    margin: auto;
    width: 86%;
}

.zimmer {
    padding: 15% 3% 6% 3%;
    margin-top: 30%;
    width: 82%;
    text-align: center;
}

.anfrage {
    width: 100%;
    background-color: #b40404;
}

.preis {
    width: 100%;
    background-color: white;
}

/*Icons*/
.icons {
    height: 0;
    width: 82%;
    z-index: 1;
    position:absolute;
    margin:auto;
    background-color: white;
    overflow-x: hidden;
    transition: 0.5s;
    text-align: left;
}

    .icons span {
        font-family: 'Source Sans Pro';
        font-weight: 200;
        text-decoration: none;
        font-size: 3.2vh;
        color: black;
        display: block;
        transition: 0.3s;
        text-align: left;
    }

.innericons {
    width:100%;
}

td.innericons {
    width: 17%;
    margin: auto;
}

td.innertext {
    width:80%;
    vertical-align: central;
}

.hide {
    height:auto;
    display:block;
    transition: 0.3s;
}

.up {
    margin: auto;
    margin-top: 10%;
    margin-left: 5%;
    text-align: left;
    vertical-align: central;
}



/*fonts*/

.welcome {
    font-family: 'Ruthie';
    font-weight: lighter;
    text-decoration: none;
    font-size: 9vh;
    line-height: 5%;
    color: #5D5955;
}

.midwelcome {
    font-family: 'Ruthie';
    font-weight: lighter;
    text-decoration: none;
    font-size: 7.5vh;
    line-height: 5%;
    color: #5D5955;
}

.smallwelcome {
    font-family: 'Ruthie';
    font-weight: lighter;
    text-decoration: none;
    font-size: 6vh;
    line-height: 10%;
    color: #5D5955;
}

.bigger {
    font-family: 'Source Sans Pro';
    font-weight: 200;
    color: black;
    font-size: 4vh;
}

.smallstandard {
    font-family: 'Source Sans Pro';
    font-weight: 200;
    color: black;
    font-size: 2.4vh;
}

.midstandard {
    font-family: 'Source Sans Pro';
    font-weight: 200;
    color: black;
    font-size: 3vh;
}

.standard {
    font-family: 'Source Sans Pro';
    font-weight: 200;
    color: black;
    font-size: 3.2vh;
}

.room {
    font-family: 'Source Sans Pro';
    font-weight: 200;
    color: black;
    font-size: 4.5vh;
    line-height: 80%;
    text-align:left;
}

.white {
    color: white;
}

/*Spacing*/
.line {
    height: 1px;
    background-color: #5D5955;
    margin: auto;
}

.spacing {
    width: 100%;
    margin:auto;
}


.picture {
    width: 100%;
    height:auto;
}

.left {
    text-align:left;
}

.center {
    text-align:center;
}

.justify {
    text-align: justify;
}

@media only screen and (max-height: 900px) {
    body {
        background-size: auto 650px;
    }
}

@media only screen and (max-height: 800px) {
    body {
        background-size: auto 560px;
    }
}

@media only screen and (max-height: 700px) {
    body {
        background-size: auto 480px;
    }
}

@media only screen and (max-height: 600px) {
    body {
        background-size: auto 410px;
    }
}

@media only screen and (max-height: 500px) {
    body {
        background-size: auto 350px;
    }
}

@media only screen and (max-height: 400px){
    body {
        background-size: auto 250px;
    }

    .sidenav a {
        font-size: 1.7em;
    }

    .pages p {
        margin: 0;
        position: absolute;
        top: 10%;
        left: 10%;
    }

    .start {
        margin-top: 50%;
    }
    .welcome {
        font-size: 3em;
    }
    .midwelcome {
        font-size:2.5em;
    }
    .smallwelcome {
        font-size:2em;
    }
    .standard {
        font-size: 1.1em;
    }
    .smallstandard {
        font-size: 0.8em;
    }
    .midstandard {
        font-size: 1em;
    }
    .bigger {
        font-size: 1.5em;
    }
    .room {
        font-size: 1.8em;
    }
    .address, .form, textarea {
        font-size: 1.1em;
    }
    
    input, select {
        font-size: 0.9em;
    }
}
